#pragma once

#include <saas/util/types/interval.h>

namespace NSearchMapParser {
    typedef ui32 TShardIndex;
    typedef TInterval<TShardIndex> TShardsInterval;
    constexpr TShardIndex SearchMapShards = 65533;
    constexpr TShardIndex UI32Shards = Max<ui32>();
    constexpr TInterval<TShardIndex> FullInterval(0, SearchMapShards);
}
